<?php
session_start();
require 'conexao.php';
?>

<!DOCTYPE html>
<html>
<head>
<style>

   .bordabranca {
            border: 4px solid #fff;
            border-radius: 15px;
            padding: 10px;
            max-width: 90%;
            margin: 0 auto;
            word-wrap: break-word;
        }
        
        .hr {
        border: 8px solid #fff;
            
        }
        ul {
            list-style-type: none;
            padding: 0;
        }
        li {
            margin-bottom: 20px; /* Adiciona duas quebras de linha após cada linha da tabela */
        }
        </style>

   <title>Movimentações</title>
    <link rel="stylesheet" type="text/css" href="style.css">

    
</head>




<body>
        <img class="bn" src="bn.png" alt=""><br><br>      
        <div class="titulo">Datilla Movimentações</div>
        <a href="dashboard.php"><button>Menu principal</button></a><br><br>
        <div class="texto">Buscar link de transação:</div>
<form method="post">
  <input type="text"placeholder="Link da transação" id="novo_link" name="novo_link" required><br><br>
  <button type="submit">Buscar Link</button>
</form><br>



<div class="texto">
<?php
// Verificar se o formulário foi enviado
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Obter o novo valor do link do formulário
    $link = $_POST['novo_link'];

    // Agora você pode atualizar a variável $link com o valor fornecido pelo usuário
    // Por exemplo:
    // $link = $novo_link;
    // Lembre-se de validar e limpar os dados do usuário antes de atualizar a variável.

    // Exemplo de mensagem para informar ao usuário que o link foi atualizado
    echo "<p>Link buscado: $link</p>";
}
?>
</div>

        
        
<div class="titulo">Movimentações</div>


    <?php
if ($link != '') {

try {
            $stmt = $pdo->prepare("SELECT destinatario, remetente, valor, dataehora, link FROM mempool WHERE link LIKE '$link' ORDER BY dataehora DESC;");
            $stmt->bindParam(':remetente', $_SESSION['user_wallet']);
            $stmt->execute();
            $envios = $stmt->fetchAll(PDO::FETCH_ASSOC);
            if (count($envios) > 0) {
                echo '<ul>';
                foreach ($envios as $envio) {
                    echo '<li><div class="bordabranca">Remetente:<br> ' . $envio['remetente'] . '<br><hr>Destinatário:<br> ' . $envio['destinatario'] . '<br><hr>Valor: <br>' . $envio['valor'] . '<br><hr>Data/Hora:<br> ' . $envio['dataehora'] . '<br><hr>Link:<br> ' . $envio['link'] . '</div></li><br><br>'; /* Adiciona duas quebras de linha após cada linha da tabela */
                }
                echo '</ul>';
            } else {
                echo '<p>Nenhum envio validado encontrado.</p>';
            }
        } catch (PDOException $e) {
            echo '<p>Erro na consulta: ' . $e->getMessage() . '</p>';
        }
        
    
   

    } else {
    
        

try {
            $stmt = $pdo->prepare("SELECT destinatario, remetente, valor, dataehora, link FROM mempool ORDER BY dataehora DESC;");
            $stmt->bindParam(':remetente', $_SESSION['user_wallet']);
            $stmt->execute();
            $envios = $stmt->fetchAll(PDO::FETCH_ASSOC);
            if (count($envios) > 0) {
                echo '<ul>';
                foreach ($envios as $envio) {
                    echo '<li><div class="bordabranca">Remetente:<br> ' . $envio['remetente'] . '<br><hr> Destinatário:<br> ' . $envio['destinatario'] . '<br><hr>Valor: <br>' . $envio['valor'] . '<br><hr>Data/Hora:<br> ' . $envio['dataehora'] . '<br><hr>Link:<br> ' . $envio['link'] . '</div></li><br><br>'; /* Adiciona duas quebras de linha após cada linha da tabela */
                }
                echo '</ul>';
            } else {
                echo '<p>Nenhum envio validado encontrado.</p>';
            }
        } catch (PDOException $e) {
            echo '<p>Erro na consulta: ' . $e->getMessage() . '</p>';
        }
        
}

        ?>


    
    
        
    

    <br><br>
    </body>
</html>

